# std::ostrstream::rdbuf

From cppreference.com
< cpp‎ | io‎ | ostrstream

strstreambuf* rdbuf() const; |  |

Returns a pointer to the associated std::strstreambuf, casting away its constness (despite the const qualifier on the member function)

### Parameters

(none)

### Return value

Pointer to the associated std::strsteambuf, with constness cast away.

### Example

Run this code

    #include <strstream>
    int main()
    {
        const std::ostrstream buf;
        std::strstreambuf* ptr = buf.rdbuf();
    }

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/ostrstream/rdbuf&oldid=105231"